List transactions

Retrieve transactions specified by the given date range

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

List transactions for your account with filtering by time range, payment method, and status. Supports pagination.

Example Request

# Last 7 days, completed transactions only
curl "https://api.neutron.me/api/v2/transaction?time=7d&txnStatuses=completed&limit=20&page=1" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Query Parameters

ParameterTypeDescription
timestringTime range: 1d, 7d, 30d, 3m, 6m, 1y, or other
startTimestringISO timestamp — only used when time=other
endTimestringISO timestamp — only used when time=other
txnStatusesstringFilter by state (e.g., completed, quoted, failed)
srcMethodsstringFilter by source method (e.g., lightning, neutronpay)
destMethodsstringFilter by destination method
excludedSrcMethodsstringExclude specific source methods
excludedDestMethodsstringExclude specific destination methods
limitnumberResults per page
pagenumberPage number

Custom Date Range

To use a specific date range, set time=other with startTime and endTime:

curl "https://api.neutron.me/api/v2/transaction?time=other&startTime=2026-02-01T00:00:00Z&endTime=2026-02-08T23:59:59Z" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
⚠️

When time is set to anything other than other, the startTime and endTime parameters are ignored.

Filter Examples

# All Lightning receives in the last 30 days
?time=30d&srcMethods=lightning

# Failed on-chain sends
?time=7d&destMethods=on-chain&txnStatuses=failed

# Everything except internal swaps
?time=30d&excludedSrcMethods=neutronpay&excludedDestMethods=neutronpay

Example Response

{
  "data": [
    {
      "txnId": "5e25d2f4-9bca-4b7a-a1ad-2cf056100cb6",
      "accountId": "ne01-abc123def456",
      "txnState": "completed",
      "sourceReq": {
        "ccy": "BTC",
        "method": "lightning",
        "amtRequested": 0.0001,
        "amtSettled": 0.0001
      },
      "destReq": {
        "ccy": "BTC",
        "method": "neutronpay",
        "amtRequested": 0.0001,
        "amtSettled": 0.0001
      },
      "fxRate": 1,
      "createdAt": 1770342000000
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 145
  }
}

Related

Query Params
integer
Defaults to 20

Number of results per page

integer
Defaults to 1
string
Defaults to 7d

Time scale to retrieve transactions for, valid values: "1d", "7d", "30d", "3m", "6m", "1y", "other". For custom time using start and end time, must use "other" (the rest will ignore the start and end time)

date-time

ISO timestamp to filter from (inclusive). Only used when "time" is set to "other", otherwise ignored.

date-time

ISO timestamp to filter to (inclusive). Only used when "time" is set to "other", otherwise ignored.

string
string
string
string
txnStatuses
array of strings

Filter by status (e.g. completed, quoted)

txnStatuses
Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json